Bug 1417988 - [abrt] [faf] rhts: read_file(): /usr/bin/rhts-db-submit-result killed by IOError
Summary: [abrt] [faf] rhts: read_file(): /usr/bin/rhts-db-submit-result killed by IOError
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: general   
(Show other bugs)
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 24.3
Assignee: Dan Callaghan
QA Contact: Dan Callaghan
URL: http://faf.lab.eng.brq.redhat.com/faf...
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 14:38 UTC by Martin Kyral
Modified: 2017-05-30 07:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-30 07:07:58 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Comment 1 Dan Callaghan 2017-04-20 04:15:55 UTC
To summarize in a public comment:

Passing a non-existing file to rhts-db-submit-result (perhaps indirectly via rhts-report-result or report_result) results in an unhandled Python exception, which will be picked up by abrt:

Traceback (most recent call last):
  File "/usr/bin/rhts-db-submit-result", line 747, in <module>
    main()
  File "/usr/bin/rhts-db-submit-result", line 649, in main
    log = read_file(logfile)
  File "/usr/bin/rhts-db-submit-result", line 195, in read_file
    FH = open(filename, "r")
IOError: [Errno 2] No such file or directory: '/somefile'

Arguably this is a user-triggered error so it should be reported with a non-zero exit status but not an unhandled exception.

Comment 2 Dan Callaghan 2017-04-20 04:19:26 UTC
https://gerrit.beaker-project.org/5672

Comment 3 Dan Callaghan 2017-05-26 01:00:35 UTC
Tagged rhts 4.73.

Comment 5 Dan Callaghan 2017-05-30 07:07:58 UTC
Beaker 24.3 has been released.


Note You need to log in before you can comment on or make changes to this bug.